Package org.w3c.tidy

# Class DOMAttrImpl

java.lang.Object
org.w3c.tidy.DOMNodeImpl
org.w3c.tidy.DOMAttrImpl

All Implemented Interfaces:
  `Cloneable`, `Attr`, `Node`

public class DOMAttrImpl extends DOMNodeImpl implements Attr, Cloneable
Tidy implementation of org.w3c.dom.DOMAttrImpl.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AttVal`
`avAdaptee`
wrapped org.w3c.tidy.AttVal.

### Fields inherited from class org.w3c.tidy.DOMNodeImpl

`adaptee`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMAttrImpl(AttVal adaptee)`
instantiates a new DOMAttrImpl which wraps the given AttVal.

## Method Summary

Modifier and Type
Method
Description
`Node`
`appendChild(Node newChild)`
Not supported.
`protected Object`
`clone()`
`Node`
`cloneNode(boolean deep)`
`NamedNodeMap`
`getAttributes()`
`NodeList`
`getChildNodes()`
`Node`
`getFirstChild()`
`Node`
`getLastChild()`
`String`
`getName()`
`Node`
`getNextSibling()`
`String`
`getNodeName()`
`short`
`getNodeType()`
`String`
`getNodeValue()`
`Document`
`getOwnerDocument()`
`Element`
`getOwnerElement()`
`Node`
`getParentNode()`
`Node`
`getPreviousSibling()`
`TypeInfo`
`getSchemaTypeInfo()`
`boolean`
`getSpecified()`
`String`
`getValue()`
`boolean`
`hasChildNodes()`
`Node`
`insertBefore(Node newChild, Node refChild)`
Not supported.
`boolean`
`isId()`
`Node`
`removeChild(Node oldChild)`
Not supported.
`Node`
`replaceChild(Node newChild, Node oldChild)`
Not supported.
`void`
`setNodeValue(String nodeValue)`
`void`
`setValue(String value)`

### Methods inherited from class org.w3c.tidy.DOMNodeImpl

`compareDocumentPosition, getBaseURI, getFeature, getLocalName, getNamespaceURI, getPrefix, getTextContent, getUserData, hasAttributes, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, setPrefix, setTextContent, setUserData, supports`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`compareDocumentPosition, getBaseURI, getFeature, getLocalName, getNamespaceURI, getPrefix, getTextContent, getUserData, hasAttributes, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, setPrefix, setTextContent, setUserData`

## Field Details

### avAdaptee

protected AttVal avAdaptee
wrapped org.w3c.tidy.AttVal.

## Constructor Details

### DOMAttrImpl

protected DOMAttrImpl(AttVal adaptee)
instantiates a new DOMAttrImpl which wraps the given AttVal.

Parameters:
  `adaptee` - wrapped AttVal

## Method Details

### getNodeValue

public String getNodeValue() throws DOMException

Specified by:
  `getNodeValue` in interface `Node`
Overrides:
  `getNodeValue` in class `DOMNodeImpl`
Throws:
  `DOMException`
See Also:
  - `Node.getNodeValue()`

### setNodeValue

public void setNodeValue(String nodeValue) throws DOMException

Specified by:
  `setNodeValue` in interface `Node`
Overrides:
  `setNodeValue` in class `DOMNodeImpl`
Throws:
  `DOMException`
See Also:
  - `Node.setNodeValue(java.lang.String)`

### getNodeName

public String getNodeName()

Specified by:
  `getNodeName` in interface `Node`
Overrides:
  `getNodeName` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeName()`

### getNodeType

public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeType()`

### getName

public String getName()

Specified by:
  `getName` in interface `Attr`
See Also:
  - `Attr.getName()`

### getSpecified

public boolean getSpecified()

Specified by:
  `getSpecified` in interface `Attr`
See Also:
  - `Attr.getSpecified()`

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Attr`
See Also:
  - `Attr.getValue()`

### setValue

public void setValue(String value)

Specified by:
  `setValue` in interface `Attr`
See Also:
  - `Attr.setValue(java.lang.String)`

### getParentNode

public Node getParentNode()

Specified by:
  `getParentNode` in interface `Node`
Overrides:
  `getParentNode` in class `DOMNodeImpl`
See Also:
  - `Node.getParentNode()`

### getChildNodes

public NodeList getChildNodes()

Specified by:
  `getChildNodes` in interface `Node`
Overrides:
  `getChildNodes` in class `DOMNodeImpl`
See Also:
  - `Node.getChildNodes()`
To Do:
  DOM level 2 getChildNodes() Not implemented. Returns an empty NodeList.

### getFirstChild

public Node getFirstChild()

Specified by:
  `getFirstChild` in interface `Node`
Overrides:
  `getFirstChild` in class `DOMNodeImpl`
See Also:
  - `Node.getFirstChild()`
To Do:
  DOM level 2 getFirstChild() Not implemented. Returns null.

### getLastChild

public Node getLastChild()

Specified by:
  `getLastChild` in interface `Node`
Overrides:
  `getLastChild` in class `DOMNodeImpl`
See Also:
  - `Node.getLastChild()`
To Do:
  DOM level 2 getLastChild() Not implemented. Returns null.

### getPreviousSibling

public Node getPreviousSibling()

Specified by:
  `getPreviousSibling` in interface `Node`
Overrides:
  `getPreviousSibling` in class `DOMNodeImpl`
See Also:
  - `Node.getPreviousSibling()`

### getNextSibling

public Node getNextSibling()

Specified by:
  `getNextSibling` in interface `Node`
Overrides:
  `getNextSibling` in class `DOMNodeImpl`
See Also:
  - `Node.getNextSibling()`

### getAttributes

public NamedNodeMap getAttributes()

Specified by:
  `getAttributes` in interface `Node`
Overrides:
  `getAttributes` in class `DOMNodeImpl`
See Also:
  - `Node.getAttributes()`

### getOwnerDocument

public Document getOwnerDocument()

Specified by:
  `getOwnerDocument` in interface `Node`
Overrides:
  `getOwnerDocument` in class `DOMNodeImpl`
See Also:
  - `Node.getOwnerDocument()`
To Do:
  DOM level 2 getOwnerDocument() Not implemented. Returns null.

### insertBefore

public Node insertBefore(Node newChild, Node refChild) throws DOMException
Not supported.

Specified by:
  `insertBefore` in interface `Node`
Overrides:
  `insertBefore` in class `DOMNodeImpl`
Throws:
  `DOMException`
See Also:
  - `Node.insertBefore(org.w3c.dom.Node, org.w3c.dom.Node)`

### replaceChild

public Node replaceChild(Node newChild, Node oldChild) throws DOMException
Not supported.

Specified by:
  `replaceChild` in interface `Node`
Overrides:
  `replaceChild` in class `DOMNodeImpl`
Throws:
  `DOMException`
See Also:
  - `Node.replaceChild(org.w3c.dom.Node, org.w3c.dom.Node)`

### removeChild

public Node removeChild(Node oldChild) throws DOMException
Not supported.

Specified by:
  `removeChild` in interface `Node`
Overrides:
  `removeChild` in class `DOMNodeImpl`
Throws:
  `DOMException`
See Also:
  - `Node.removeChild(org.w3c.dom.Node)`

### appendChild

public Node appendChild(Node newChild) throws DOMException
Not supported.

Specified by:
  `appendChild` in interface `Node`
Overrides:
  `appendChild` in class `DOMNodeImpl`
Throws:
  `DOMException`
See Also:
  - `Node.appendChild(org.w3c.dom.Node)`

### hasChildNodes

public boolean hasChildNodes()

Specified by:
  `hasChildNodes` in interface `Node`
Overrides:
  `hasChildNodes` in class `DOMNodeImpl`
See Also:
  - `Node.hasChildNodes()`

### cloneNode

public Node cloneNode(boolean deep)

Specified by:
  `cloneNode` in interface `Node`
Overrides:
  `cloneNode` in class `DOMNodeImpl`
See Also:
  - `Node.cloneNode(boolean)`

### getOwnerElement

public Element getOwnerElement()

Specified by:
  `getOwnerElement` in interface `Attr`
See Also:
  - `Attr.getOwnerElement()`
To Do:
  DOM level 2 getOwnerElement() Not implemented. Returns null.

### getSchemaTypeInfo

public TypeInfo getSchemaTypeInfo()

Specified by:
  `getSchemaTypeInfo` in interface `Attr`
See Also:
  - `Attr.getSchemaTypeInfo()`
To Do:
  DOM level 3 getSchemaTypeInfo() Not implemented. Returns null.

### isId

public boolean isId()

Specified by:
  `isId` in interface `Attr`
See Also:
  - `Attr.isId()`

### clone

protected Object clone()

Overrides:
  `clone` in class `Object`
See Also:
  - `Object.clone()`